Subject: Re: [v6ops] "all hosts SHOULD implement address configuration via DHCPv6", as per BCP 220 (was: Implementation Status of PREF64)

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 4 Nov 2021 13:57:51 +0100

Once again, for reminder, because of an offline discussion:

BCP 220 RFC 8504 states "all hosts SHOULD implement address 
configuration via DHCPv6".

Millions of smartphones dont respect that BCP.

That is a big problem.

Maybe a 3GPP document can help improve that situation.

Alex

Le 16/10/2021 à 21:59, Alexandre Petrescu a écrit :
> 
> 
> Le 15/10/2021 à 16:17, Simon a écrit :
>> David Farmer <[email-masked]> wrote:
>>
>>>>> Not to put too fine a point on it, but I have seen no argument
>>>>> against Android including standards compliance
>>
>>> Mark Smith <[email-masked]> wrote:
>>>> DHCPv6 is not required. See BCP 220.
>>
>> I actually had in mind a comment made some way up the thread that
>> Android ignores the A bit in RAs. If so then that’s a blatant
>> violation, not just of the standard, but also of the wishes/policies
>> of network operators who may be fully within both the letter and
>> spirit of RFCs/BCPs.
>>
>>> Yes, DHCPv6 is not required for hosts to implement, but it is
>>> recommended by RFC8504/BCP220
>>
>> "Consequently, all hosts SHOULD implement address configuration via
>> DHCPv6” This, and the text leading up to it is very clear
> 
> Thanks for pointing to that text in BCP220 RFC 8504 "IPv6 Node Reas", 
> because I missed it somehow.
> 
> Alex
> 
> 
>   - if you
>> value interoperability at all then implement DHCPv6 client on your
>> devices.
>>
>>> But then again, networks providing general propose hosts with more
>>> than one IPv6 address is not required and is also only recommended
>>> by RFC7934/BCP204.
>>>
>>> So I think we have a standoff or deadlock, can we find a way to
>>> break it? How about we all agree to implement the IETF's
>>> recommendations in both cases?
>>>
>>> Personally, I think they are both very good recommendations.
>>
>> Agreed. It does seem quite simple really. So why is it so hard ?
>>
>> Simon
>>
>> _______________________________________________ v6ops mailing list 
>> [email-masked] https://www.ietf.org/mailman/listinfo/v6ops
>>
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops